VARKON Version 1.17 1999-01-20

> ## putdat_gm - Function

> Stores an array of data in GM

> Description

> Stores an array of data in GM with a unique key name.

> Syntax

> putdat_gm(key, count, array)

> STRING | key;
> INT | count;
> Any_type | array();

> Principal parameters

> key | - Unique name to associate with this data
> count | - Number of elements of array to store
> array | - A 1-dimensional array of INT, FLOAT, VECTOR, REF or STRING

> Optional parameters

> None.

> Return value

> 0 is returned if the data was successfully stored. -1 otherwise.

> Examples

> FLOAT k(100);
> INT status;

> k(1):=10.0;
> k(2):=20.0;
> k(3):=-50.0;
> status:=putdat_gm("My_data", 3, k);

> Saves the 3 first elements of the FLOAT array k in GM with the name "My_data".

> Comments

> Key names must be unique. If an attempt is made to store data with a name that is already used putdat_gm() returns -1.

> See also

> getdat_gm and deldat_gm

VARKON Homepage | Index